<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  
  <head>
    <style type="text/css" MEDIA="screen">
      h1 {    font-family: Arial, Verdana;
              font-size: 13px;
              font-weight: bolder;}

      table {
              border-style:none;
              border: 0px;}

      th, tr, td { 
              text-align:left;
              align:left;
              font-family: Arial, Verdana;
              background-color: #FFFFCC;
              font-size: 12px;
              height: 35px;
              vertical-align: top;
              border-style:collapse;
              border: 0px;
              border-bottom: 1px;
              border-bottom-style: solid;
              border-bottom-color: #FFCC99;}

      th {    background-color: #FAFAD2;}
          
    </style>
  </head>
  
  <body>
    <h1>Music Albums</h1>
    
    <table cellspacing="0" cellpadding="10">
        
      <colgroup>
        <col width="200" />
        <col width="200" />
        <col width="50" />
        <col width="100" />
        <col width="75" />
      </colgroup>

      <tr>
        <th>Title</th>
        <th>Artist</th>
        <th>Year</th>
        <th>Genre</th>
        <th>Cover</th>
      </tr>

      <xsl:for-each select="data-crow-objects/music-album">
        <tr>
          <td><xsl:value-of select="title"/>&#x00A0;</td>
          <td><xsl:value-of select="artist"/>&#x00A0;</td>
          <td><xsl:value-of select="year"/>&#x00A0;</td>
          
          <td><xsl:for-each select="genres/genre">
                <xsl:value-of select="name"/>&#x00A0;
              </xsl:for-each>&#x00A0;</td>

          <td><xsl:if test="picture-front != ''">
                <img alt=""><xsl:attribute name="src"><xsl:value-of select="picture-front" /></xsl:attribute></img>
              </xsl:if>

              <xsl:if test="picture-front = ''">
                &#x00A0;
              </xsl:if>
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>
